www.cendio.com
Bug 2575 - Avoid "Start ThinLinc Client" checkbox when installing from portal/Java applet
: Avoid "Start ThinLinc Client" checkbox when installing from portal/Java applet
Status: CLOSED FIXED
: ThinLinc
Client platforms
: 1.6.0
: PC Unknown
: P2 Enhancement
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-11-08 14:24 by
Modified: 2014-04-14 13:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2007-11-08 14:24:44
Bug 1869 isn't really wanted in combination with bug 2410. That it, when
installing the client through our signed Java installer, in response to
launching a session from a portal, the client should not be started from the
installation program, because this way it does not recieve the connection file.
So, as it is now, either all users must manually uncheck this checkbox. Or, the
customer needs to create a new package using the client customizer, and remove
this file from the setup file:

Filename: "{app}\tlclient.exe"; Description: "Start ThinLinc Client"; Flags:
postinstall nowait skipifsilent

Karlstad/Pulsen will do this. 

It would be nice if we could do better than this. One approach is to simply
ship two setup programs: One without this checkbox, one without. That's ugly,
though. 

Somehow, it would be nice if the installer could realize that it's executed
from the portal. In theory, it should be possible to implement this using
various tricks like checking process parent, checking magic file names etc.
But, that would mean that we would have to modify Inno Setup. As far as I can
tell, there's no support for such things in our version. 

Another solution would be to actually keep the checkbox, but add code to
tlclient so that it refuses to run (directly exits), when started this way.
This behaviour could be triggered, say, if a certain file exists in the file
system. This file can be created by the Java applet. Or, instead of exit,
tlclient can display a message that tells the user to finish the installation
and press Continue in the applet window. 

Yet another solution would be to utilize the Inno Setup support for "silent"
installations. We are already creating the checkbox with the "skipifsilent"
option. There are two problems, though:

1) Activating a silent installation. This is normally done via a command line
option. I guess our only option is to create our own self extracting archive,
which unpackes the installer and runs it with /silent if it detects the portal
case. 

2) A silent installation might be a little bit too much; perhaps it's not
possible to select installation directory etc when running silent.
------- Comment #2 From cendio 2013-11-19 09:01:20 -------
Fixed in 28145.
------- Comment #3 From cendio 2014-04-14 13:02:42 -------
Tested using server build 4323, works as expected.